local L = Capitalist.Locale

if GetLocale() then
	L.expansions = {
		"Classic",
		"Burning Crusade",
		"Wrath of the Lich King",
		"Cataclysm",
		"Mists of Pandaria",
		"Warlords of Draenor",
		"Legion"
	}

	L["Alchemy"] = "Alchemy"
	L["Blacksmithing"] = "Blacksmithing"
	L["Cooking"] = "Cooking"
	L["Enchanting"] = "Enchanting"
	L["Engineering"] = "Engineering"
	L["First Aid"] = "First Aid"
	L["Inscription"] = "Inscription"
	L["Jewelcrafting"] = "Jewelcrafting"
	L["Leatherworking"] = "Leatherworking"
	L["Mining"] = "Mining"
	L["Tailoring"] = "Tailoring"

	L["Enchant"] = "Enchant"

	-- Excluded professions
	L["Runeforging"] = "Runeforging"

	-- Salvaging skills
	L["Disenchant"] = "Disenchant"
	L["Milling"] = "Milling"
	L["Prospecting"] = "Prospecting"

	L.expansionRanges = {
		[L["Alchemy"]] = {
				["BC"] = 28543,
				["WrathOfTheLichKing"] = 53771,
				["Cataclysm"] = 78866,
			},
		[L["Blacksmithing"]] = {
				["BC"] = 29545,
				["WrathOfTheLichKing"] = 52567,
				["Cataclysm"] = 76178,
			},
		[L["Cooking"]] = {
				["BC"] = 33277,
				["WrathOfTheLichKing"] = 45549,
				["Cataclysm"] = 88006,
			},
		[L["Enchanting"]] = {
				["BC"] = 27899,
				["WrathOfTheLichKing"] = 44483,
				["Cataclysm"] = 74132,
			},
		[L["Engineering"]] = {
				["BC"] = 30303,
				["WrathOfTheLichKing"] = 53281,
				["Cataclysm"] = 82175,
			},
		[L["First Aid"]] = {
				["BC"] = 27032,
				["WrathOfTheLichKing"] = 45545,
				["Cataclysm"] = 74556,
			},
		[L["Inscription"]] = {
				["BC"] = 1,
				["WrathOfTheLichKing"] = 1,	-- Inscription recipes began with "Wrath of the Lich King" expansion
				["Cataclysm"] = 85785,
			},
		[L["Jewelcrafting"]] = {
				["BC"] = 1,	-- Jewelcrafting recipes began with "Burning Crusade" expansion
				["WrathOfTheLichKing"] = 53830,
				["Cataclysm"] = 73222,
			},
		[L["Leatherworking"]] = {
				["BC"] = 32454,
				["WrathOfTheLichKing"] = 50936,
				["Cataclysm"] = 78379,
			},
		[L["Mining"]] = {
				["BC"] = 29356,
				["WrathOfTheLichKing"] = 49252,
				["Cataclysm"] = 70525,
			},
		[L["Tailoring"]] = {
				["BC"] = 26745,
				["WrathOfTheLichKing"] = 55642,
				["Cataclysm"] = 75247,
			},
	}

	-- REVIEW: The expansion range simple rule has some exceptions, sadly.
	L.expansionRangeExceptions = {
		["Enchant Boots - Lesser Accuracy"] = "Classic",
		["Enchant Chest - Exceptional Mana"] = "WrathOfTheLichKing",
		["Glyph of Blind"] = "WrathOfTheLichKing",
		["Glyph of Death Wish"] = "WrathOfTheLichKing",
		["Glyph of Faerie Fire"] = "WrathOfTheLichKing",
		["Glyph of Feral Charge"] = "WrathOfTheLichKing",
		["Glyph of Intercept"] = "WrathOfTheLichKing",
		["Glyph of Lacerate"] = "WrathOfTheLichKing",
		["Glyph of Living Bomb"] = "WrathOfTheLichKing",
		["Glyph of Tiger's Fury"] = "WrathOfTheLichKing",
		["Vanishing Powder"] = "WrathOfTheLichKing",
	}

	--
	--	Options UI
	--
	--		General
	L["General"] = "General"
	L["General Overview"] = "General settings for the addon.\n"
	L["Min Profit"] = "Min Profit"
	L["Min Profit Tooltip"] = "How much (in gold) you want to gain at minimum from each product (price is added to component cost)."
	L["Price Margin"] = "Price Margin"
	L["Price Margin Tooltip"] = "The increase (in percent) in price, if there is no or very expensive competition."
	L["Min Increase"] = "Min Increase"
	L["Min Increase Tooltip"] = "How much (in gold) the price should increase at minimum if there is no or only very expensive competition."
	L["Max Increase"] = "Max Increase"
	L["Max Increase Tooltip"] = "How much (in gold) the price should increase at maximum if there is no or only very expensive competition."
	L["Show by Default"] = "Show by Default"
	L["Show by Default Tooltip"] = "Automatically activate Capitalist UI when opening the Auction House."
	L["Merchant Costing"] = "Merchant Costing"
	L["Merchant Costing Tooltip"] = "When items are found on a merchant in unlimited supply, update resource cost and exclude the item from Resource Costs and the Component Shopping UI in the Auction House."
	L["Merchant Valuation"] = "Merchant Valuation"
	L["Merchant Valuation Tooltip Green"] = "Merchant Value is a measure of the value of components based on a combination of the buy price of Merchant Resources and the sell price of products to merchants.\n\n|cff00ff00Requires Merchant Costing to be enabled.|r"
	L["Merchant Valuation Tooltip Red"] = "Merchant Value is a measure of the value of components based on a combination of the buy price of Merchant Resources and the sell price of products to merchants.\n\n|cffff0000Requires Merchant Costing to be enabled.|r"
	L["Salvage Tracking"] = "Salvage Tracking"
	L["Salvage Tracking Tooltip"] = "When salvaging skills (disenchanting, milling, prospecting) are used, the extraction information is recorded and statistics are displayed in Salvage Statistics page."
	L["Salvage Supply"] = "Salvage Supply"
	L["Salvage Supply Tooltip Green"] = "Salvaging skills (disenchanting, milling, prospecting) participate in Buy Price and Cost calculations, and extracted items are no longer consider Resources.\n\n|cff00ff00Requires Salvage Tracking to be enabled.|r"
	L["Salvage Supply Tooltip Red"] = "Salvaging skills (disenchanting, milling, prospecting) participate in Buy Price and Cost calculations, and extracted items are no longer consider Resources.\n\n|cffff0000Requires Salvage Tracking to be enabled.|r"
	L["Bid Price at Cost"] = "Bid Price at Cost"
	L["Bid Price at Cost Tooltip"] = "When posting, set the bid price at cost (default is buyout price)."
	L["Expansion Filters"] = "Expansion Filters"
	L["Legion"] = "Legion"
	L["Legion Tooltip"] = "If checked, products associated with Legion will be allowed."
	L["Warlords of Draenor"] = "Warlords of Draenor"
	L["Warlords of Draenor Tooltip"] = "If checked, products associated with Warlords of Draenor will be allowed."
	L["Mists of Pandaria"] = "Mists of Pandaria"
	L["Mists of Pandaria Tooltip"] = "If checked, products associated with Mists of Pandaria will be allowed."
	L["Cataclysm"] = "Cataclysm"
	L["Cataclysm Tooltip"] = "If checked, products associated with Cataclysm will be allowed."
	L["Wrath of the Lich King"] = "Wrath of the Lich King"
	L["Wrath of the Lich King Tooltip"] = "If checked, products associated with Wrath of the Lich King will be allowed."
	L["Burning Crusade"] = "Burning Crusade"
	L["Burning Crusade Tooltip"] = "If checked, products associated with Burning Crusade will be allowed."
	L["Classic"] = "Classic"
	L["Classic Tooltip"] = "If checked, products associated with Classic will be allowed."
	--		Specific
	L["Specific"] = "Specific"
	L["Specific Overview"] = "Specific settings for character %s.\n"
	L["Cross Scan"] = "Cross Scan"
	L["Cross Scan Tooltip"] = "Scan auctions for products for all characters across the account."
	L["Cross Post"] = "Cross Post"
	L["Cross Post Tooltip Green"] = "Posts auctions for products of all characters across the account.\n\n|cff00ff00Requires Cross Scan to be enabled.|r"
	L["Cross Post Tooltip Red"] = "Posts auctions for products of all characters across the account.\n\n|cffff0000Requires Cross Scan to be enabled.|r"
	L["Cross Shop"] = "Cross Shop"
	L["Cross Shop Tooltip"] = "Shops for components for products of all characters across the account."
	L["Pricing"] = "Pricing"
	L["Liquidate"] = "Liquidate"
	L["Liquidate Tooltip"] = "For this character, disable Price Margin, Min Increase, and Max Increase."
	--		Professions
	L["Profession Overview"] = "Settings specific to %s.\n\nClick the [+] button to view or adjust these settings.\n"
	--			Filters
	L["Filters"] = "Filters"
	L["Profession Filters Overview"] = "Filters for %s.\n\nChecking a skill makes it visible in Counts and triggers inclusion of the components in the Component Shopping UI at the Auction House.\n"
	L["Search Term"] = "Search Term"
	L["Search Term Tooltip"] = "Trims the visible list of products to modify.  Does not directly impact the enabling of products."
	L["All %s"] = "All %s"
	L["All Tooltip"] = "Enable or disable all %s products."
	L["All Displayed"] = "All displayed"
	L["All Displayed Tooltip"] = "Enable or disable all displayed products."
	--			Counts
	L["Counts"] = "Counts"
	L["Profession Counts Overview"] = "Counts for %s.\n\nSpecify how many of each product to keep in stock at the Auction House.\n\nPress the Enter key or click the 'Okay' button after editing to confirm the change.\n"
	L["Profession Counts Footnote"] = "\nNote: Only skills that are checked in %s Filters will be shown.\n"
	--		Rare Statistics
	L["Rare Statistics"] = "Rare Statistics"
	L["Rare Statistics Overview"] = "Rare Statistics lists statistical information for rare products (such as Perfect gems) that %s made while Capitalist has been enabled.\n\n"
	--		Salvage Statistics
	L["Salvage Statistics"] = "Salvage Statistics"
	L["Salvage Statistics Overview"] = "Salvage Statistics lists statistical information for salvage skills (such as disenchanting) that %s used while Capitalist has been enabled.\n\n"
	--		Resource Costs
	L["Resource Costs"] = "Resource Costs"
	L["Resource Costs Overview"] = "Resource Costs for all skills in units of gold.\n\nBuy Price is used in the Component Shopping UI.\n\nAssumed Cost impacts product cost for auction pricing.\n\nMore information in footnote.\n"
	L["Buy Price"] = "Buy Price"
	L["Assumed Cost"] = "Assumed Cost"
	L["Resource Costs Footnote"] = "\nA 'resource' is a raw material that cannot be crafted.\n\nIf Merchant Costing is enabled in General settings, a 'merchant resource' is a resource that is available in unlimited supply at NPC merchants.\n\nMerchant resources do not have custom price and cost settings, and are excluded from the Component Shopping UI at the Auction House.\n"
	--		Created Products
	L["Created Products"] = "Created Products"
	L["Created Products Overview"] = "Created Products lists all the products that %s made while Capitalist has been enabled.\n\n"
	--		Used Skills
	L["Used Skills"] = "Used Skills"
	L["Used Skills Overview"] = "Used Skills lists all the crafting skills that %s has used while Capitalist has been enabled.\n\n"
	--		Data Management
	L["Data Management"] = "Data Management"
	L["Data Management Overview"] = "Data Management provides tools for cleaning out the saved variables for Capitalist.\n\nThese are mostly used for diagnostic purposes.\n"
	--			Calculations
	L["Calculations"] = "Calculations"
	L["Recalc values"] = "Recalc values"
	L["Recalc values Tooltip"] = "Force full recalculation of component values."
	--			Scanning
	L["Scanning"] = "Scanning"
	L["Clear merchant data"] = "Clear merchant data"
	L["Clear merchant data Tooltip"] = "Clear merchant and buy price for merchant resources."
	L["Clear profession data"] = "Clear profession data"
	L["Clear profession data Tooltip"] = "Clear profession information collected from tradeskill UI."
	--			Settings
	L["Settings"] = "Settings"
	L["Clear buy prices"] = "Clear buy prices"
	L["Clear buy prices Tooltip"] = "Clear Buy Price set by the user in Resource Costs."
	L["Clear costs"] = "Clear costs"
	L["Clear costs Tooltip"] = "Clear Assumed Cost set by the user in Resource Costs."
	--			Statistics
	L["Statistics"] = "Statistics"
	L["Clear created products"] = "Clear created products"
	L["Clear created products Tooltip"] = "Clears the data surfaced in Created Products."
	L["Clear used skills"] = "Clear used skills"
	L["Clear used skills Tooltip"] = "Clears the data surfaced in Used Skills."
	--		Notifications
	L["Notifications"] = "Notifications"
	L["Merchant cost changes"] = "Merchant cost changes"
	L["Merchant cost changes Tooltip"] = "Output notifications when merchant costs are updated."
	L["Merchant valuation changes"] = "Merchant valuation changes"
	L["Merchant valuation changes Tooltip"] = "Output notification when merchant valuations are updated."
	L["Salvage tracking changes"] = "Salvage tracking changes"
	L["Salvage tracking changes Tooltip"] = "Output notification when salvage tracking is updated."



	--
	--	Posting UI
	--
	--		labels
	L["|cffff8080Deposit|r: %s"] = "|cffff8080Deposit|r: %s"
	L["|cff80ff80Buyout|r: %s"] = "|cff80ff80Buyout|r: %s"
	L["|cff80ff80Bid|r: %s"] = "|cff80ff80Bid|r: %s"
	--		combos
	L["Stack size"] = "Stack size"
	L["Stack count"] = "Stack count"
	L["Duration"] = "Duration"
	--		buttons
	L["Post item(s)"] = "Post item(s)"
	L["Skip item(s)"] = "Skip item(s)"
	L["Stop posting"] = "Stop posting"

	L["Found %d new products and %d new components."] = "Found %d new products and %d new components."
	L["Found %d new character products."] = "Found %d new character products."

	L["Product %s costs %s to make via %s."] = "Product %s costs %s to make via %s."
	L["Product %s unknown."] = "Product %s unknown."
	L["Resource %s cost is set at %s."] = "Resource %s cost is set at %s."
	L["Resource %s cost is set at %s, sold by %s."] = "Resource %s cost is set at %s, sold by %s."
	L["Item %s value unknown."] = "Item %s value unknown."

	L["Enchanting Vellum"] = "Enchanting Vellum"
	
	L["Enchant "] = "Enchant "			-- REVIEW: Expected to include "Scroll of Enchant " cases too.  Might be a localization issue in non-English.
	L["Scroll of "] = "Scroll of "
	L["Glyph of "] = "Glyph of "
	L["Transmute:"] = "Transmute:"
	L["Crafted Malevolent "] = "Crafted Malevolent "

	L["You create:"] = "You create:"
	L["Auction created."] = "Auction created."
	L["Inventory is full."] = "Inventory is full."
	
	L["Scanning products"] = "Scanning products"
	L["Scanning products %d/%d"] = "Scanning products %d/%d"
	L["Last Scan: "] = "Last Scan: "
	L["Last Scan: failed"] = "Last Scan: failed"
	L["perform scan"] = "perform scan"
	
	L["Posting"] = "Posting"
	L["Posting %d/%d"] = "Posting %d/%d"
	L["cancel auctions"] = "cancel auctions"
	L["post quota"] = "post quota"
	L["post all"] = "post all"

	L["None"] = "None"
	L["All (%d)"] = "All (%d)"
	
	L["cancel yellow auctions"] = "cancel yellow auctions"
	L["cancel blue auctions"] = "cancel blue auctions"
	L["cancel auctions <= 12 hour"] = "cancel auctions <= 12 hour"
	
	L["Nothing to restock!"] = "Nothing to restock!"
	L["Need to restock 1 product:"] = "Need to restock 1 product:"
	L["Need to restock %d products:"] = "Need to restock %d products:"
	L["Could not restock anything!"] = "Could not restock anything!"
	
	L["Missing components:"] = "Missing components:"
	L["Components in alt inventories:"] = "Components in alt inventories:"
	L["Components in bank:"] = "Components in banks:"
	L["Everything available!"] = "Everything available!"

	L["Products %s:"] = "Products %s:"
	L["needing scan"] = "needing scan"
	L["at cheapest price"] = "at cheapest price"
	L["needing repost"] = "needing repost"
	L["not worth listing"] = "not worth listing"
	L["with more room for profit"] = "with more room for profit"
	L["out of stock"] = "out of stock"

	L["Product merchant sell price update:"] = "Prod	uct merchant sell price update:"
	L["%s: Updating %s buy price from %s to %s."] = "%s: Updating %s buy price from %s to %s."
	L["%s: Removing %s buy price (%s), component value (%s) was higher."] = "%s: Removing %s buy price (%s), component value (%s) was higher."

	L["Merchant %s update:"] = "Merchant %s update:"
	L["Updating merchant for %s."] = "Updating merchant for %s."
	L["Updating merchant for %s and buy price from %s to %s."] = "Updating merchant for %s and buy price from %s to %s."
	L["Removing buy price (%s) from product (%s)."] = "Removing buy price (%s) from product (%s)."
	L["Removing cost (%s) from product (%s)."] = "Removing cost (%s) from product (%s)."
	L["Removing cost (%s) from merchant-supplied resource (%s)."] = "Removing cost (%s) from merchant-supplied resource (%s)."
	L["Resources missing buy price information:"] = "Resources missing buy price information:"
	L["Resources missing cost information:"] = "Resources missing cost information:"
	L["All resource buy prices and costs set."] = "All resource buy prices and costs set."


	
	
	

	


	L["Clearing merchant valuations"] = "Clearing merchant valuations"
	L["Clearing merchant valuations for %s"] = "Clearing merchant valuations for %s"
	L["%s: Updating %s value from %s to %s."] = "%s: Updating %s value from %s to %s."

	L["Debug"] = "Debug"

	-- TODO: Generalize support for BOP crafts
	L.checkForValidSkillName = 	function(profession,name)
	------------------------------------
--									if (profession == "Enchanting") then
--										-- enchanting-specific
--										local slot = name:match("Enchanting: .+")		-- validates if the string has the form
--										return slot and slot ~= "Ring "						-- "Enchant XY - Z" (with XY != Ring)
--									else
										return true
--									end
								end													

	L.AuctionUIFromSkillName = 	function(profession, skillName)
									if (profession == "Enchanting") then
										return string.gsub(skillName, "Enchant ", "")
									elseif (profession == "Inscription") then
										return string.gsub(skillName, "Glyph of ", "")
									else
										return skillName
									end
								end
	L.SettingUIFromSkillName = 	function(profession, skillName)
									if (profession == "Enchanting") then
										return string.gsub(skillName, "Enchant ", "")
									else
										return skillName
									end
								end

end

function Capitalist:ReportSyntax()
	self:Print("Available commands:")
	self:Print("    cost NAME          output the cost of item NAME")
	self:Print("    help                      lists available commands")
	self:Print("    missing                lists the resources missing cost information")
	self:Print("    professions          list character's professions")
	self:Print("    restock                restock 1 item (profession window must be open)")
	self:Print("    sequence NAME  outputs the crafting tree for product NAME")
	self:Print("    top10                   list top 10 crafts for this character")
	self:Print("    version                reports addon version")
end

function Capitalist:ReportVersion()
	local version = "118"

	if (strsub(version, 1, 1) == "@") then
		version = "internal"
	end

	self:Print("Version: "..version)
end
