local L = Capitalist.Locale

function Capitalist:Debug(...)
	local format, a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z = ...;
	self:Print(string.format("DBG "..format, a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z))
end

local DebugStack = {}

function Capitalist:DebugEntry(...)
	local fn = ...;

	if (self.db and
		self.db.profile and
		self.db.profile.debug and
		self.db.profile.debug.TraceFunctions) then
		table.insert(DebugStack, fn)
		self:Debug(">"..fn)
	end
end

function Capitalist:DebugExit(...)
	local fn, ret = ...;

	if (self.db and
		self.db.profile and
		self.db.profile.debug and
		self.db.profile.debug.TraceFunctions) then
		self:Debug("<"..fn)
		table.remove(DebugStack)
	end

	return ret
end

function Capitalist:DebugOutputCallstack()
	if (self.db and
		self.db.profile and
		self.db.profile.debug and
		self.db.profile.debug.TraceFunctions) then
		self:Print("Callstack:")
	end

	local indent = ""
	for i=1, #DebugStack do
		indent = indent.."  "
		self:Print(indent..DebugStack[i])
	end
end

function Capitalist:DebugMisc(...)
	local v = ...;

	if (self.db and
		self.db.profile and
		self.db.profile.debug and
		self.db.profile.debug.TraceMisc) then
		self:Debug("%s", tostring(v))
	end
end

function Capitalist:LogClearCategory(...)
	local category = ...;
	if (not self.db.profile.log) then
		self.db.profile.log = {}
	end
	if (self.db.profile.debug.LogValueCalc) then
		self.db.profile.log[category] = {}
	end
end

function Capitalist:LogCreateEntry(...)
	local category, entry = ...;
	if (self.db.profile.debug.LogValueCalc) then
		if (not self.db.profile.log) then
			self.db.profile.log = {}
		end
		if (not self.db.profile.log[category]) then
			self.db.profile.log[category] = {}
		end

		table.insert(self.db.profile.log[category], entry)
	end
end
